Bug 475732 - cdrskin script has buildroot path artefacts
cdrskin script has buildroot path artefacts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libburn (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 01:49 EST by Jens Petersen
Modified: 2013-01-09 23:58 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.7.0-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-04 07:40:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2008-12-10 01:49:23 EST
Description of problem:
cdrskin in f10 does not work for me:

/usr/bin/cdrskin: line 101: cd: /builddir/build/BUILD/libburn-0.4.8: No such file or directory
gcc: cdrskin/cdrskin_cdrskin-cdrskin.o: No such file or directory
gcc: cdrskin/cdrskin_cdrskin-cdrfifo.o: No such file or directory
gcc: libburn/.libs/libburn.so: No such file or directory

which does not look right.  It worked fine for me in f9.


Version-Release number of selected component (if applicable):
cdrskin-0.4.8-2.fc10

How reproducible:
every time

Steps to Reproduce:
1. sudo cdrskin -v blank=fast dev=/dev/cdrw -eject boot.iso
  
Actual results:
above error

Expected results:
to run normally
Comment 1 Fedora Admin XMLRPC Client 2009-02-06 11:38:10 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Andre Robatino 2009-08-26 22:25:04 EDT
Same issue in Fedora 11, cdrskin-0.6.0-3.fc11.  Should I clone this or should the Version be bumped to 11?

[andre@compaq-pc ~]$ cdrskin
/usr/bin/cdrskin: line 87: cd: /builddir/build/BUILD/libburn-0.6.0: No such file or directory
gcc: cdrskin/cdrskin_cdrskin-cdrskin.o: No such file or directory
gcc: cdrskin/cdrskin_cdrskin-cdrfifo.o: No such file or directory
gcc: libburn/.libs/libburn.so: No such file or directory
[andre@compaq-pc ~]$
Comment 3 Andre Robatino 2009-08-26 22:27:31 EDT
BTW, the Priority should be changed to either High or Urgent, considering cdrskin can't even be run.
Comment 4 Andre Robatino 2009-08-26 22:35:10 EDT
Same issue in Rawhide, cdrskin-0.6.0-4.fc12.
Comment 5 Andre Robatino 2009-09-30 04:01:50 EDT
Any chance of Denis Leroy responding, at least to indicate that he is still interested in maintaining this package?  Otherwise, the package should either be transferred or dropped from Fedora.
Comment 6 Denis Leroy 2009-09-30 05:53:10 EDT
Sorry, things have been busy. I'll take a look. I'm definitely interested in comaintainers.
Comment 7 Andre Robatino 2009-09-30 05:57:48 EDT
There's a fairly good chance of finding one by posting to fedora-devel-list.
Comment 8 Denis Leroy 2009-09-30 06:10:23 EDT
Care to try it before a launch the build ? :

http://www.poolshark.org/src/libburn-0.7.0-1.fc13.src.rpm
Comment 9 Andre Robatino 2009-09-30 06:36:16 EDT
After installing the graphviz package, I was able to get "rpmbuild -bb rpmbuild/SPECS/libburn.spec" to run, but it failed.  I'm not familiar with building binary RPMs from source RPMs so I might be doing something wrong.

*******************************************************************************
*
* WARNING: 'check-rpaths' detected a broken RPATH and will cause 'rpmbuild'
*          to fail. To ignore these errors, you can set the '$QA_RPATHS'
*          environment variable which is a bitmask allowing the values
*          below. The current value of QA_RPATHS is 0x0000.
*
*    0x0001 ... standard RPATHs (e.g. /usr/lib); such RPATHs are a minor
*               issue but are introducing redundant searchpaths without
*               providing a benefit. They can also cause errors in multilib
*               environments.
*    0x0002 ... invalid RPATHs; these are RPATHs which are neither absolute
*               nor relative filenames and can therefore be a SECURITY risk
*    0x0004 ... insecure RPATHs; these are relative RPATHs which are a
*               SECURITY risk
*    0x0008 ... the special '$ORIGIN' RPATHs are appearing after other
*               RPATHs; this is just a minor issue but usually unwanted
*    0x0010 ... the RPATH is empty; there is no reason for such RPATHs
*               and they cause unneeded work while loading libraries
*    0x0020 ... an RPATH references '..' of an absolute path; this will break
*               the functionality when the path before '..' is a symlink
*          
*
* Examples:
* - to ignore standard and empty RPATHs, execute 'rpmbuild' like
*   $ QA_RPATHS=$[ 0x0001|0x0010 ] rpmbuild my-package.src.rpm
* - to check existing files, set $RPM_BUILD_ROOT and execute check-rpaths like
*   $ RPM_BUILD_ROOT=<top-dir> /usr/lib/rpm/check-rpaths
*  
*******************************************************************************
ERROR   0001: file '/usr/bin/cdrskin' contains a standard rpath '/usr/lib64' in [/usr/lib64]
error: Bad exit status from /var/tmp/rpm-tmp.6VeRI1 (%install)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.6VeRI1 (%install)
[andre@compaq-pc ~]$
Comment 10 Denis Leroy 2009-09-30 06:50:51 EDT
Ah ok. Good, I'm happy you caught this, as I don't have a x86_64 system at hand right now. 

Can you retry now (link updated) :

http://www.poolshark.org/src/libburn-0.7.0-1.fc13.src.rpm
Comment 11 Andre Robatino 2009-09-30 07:13:35 EDT
It builds successfully now on my x86_64 F11 box, and after installing cdrskin-0.7.0-1.fc11.x86_64.rpm and libburn-0.7.0-1.fc11.x86_64.rpm, cdrskin appears to run normally without the earlier errors (I haven't tested much, though).
Comment 12 Fedora Update System 2009-10-01 04:16:03 EDT
libburn-0.7.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libburn-0.7.0-1.fc11
Comment 13 Fedora Update System 2009-10-03 15:04:06 EDT
libburn-0.7.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libburn'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10195
Comment 14 Fedora Update System 2009-11-04 07:40:33 EST
libburn-0.7.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.